# Class TemplateCache

## Index

### Methods

- getDefaultTemplate
- getDefaultTemplates
- getResultListTemplateNames
- getTemplate
- getTemplateNames
- getTemplates
- registerTemplate
- unregisterTemplate

## Methods

### Static getDefaultTemplate

- getDefaultTemplate(name: string): Template

- - Defined in ui/Templates/TemplateCache.ts :134

  #### Parameters

  - ##### name: string

  #### Returns Template

### Static getDefaultTemplates

- getDefaultTemplates(): string[]

- - Defined in ui/Templates/TemplateCache.ts :126

  #### Returns string[]

### Static getResultListTemplateNames

- getResultListTemplateNames(): string[]

- - Defined in ui/Templates/TemplateCache.ts :118

  #### Returns string[]

### Static getTemplate

- getTemplate(name: string): Template

- - Defined in ui/Templates/TemplateCache.ts :87

  #### Parameters

  - ##### name: string

  #### Returns Template

### Static getTemplateNames

- getTemplateNames(): string[]

- - Defined in ui/Templates/TemplateCache.ts :110

  #### Returns string[]

### Static getTemplates

- getTemplates(): object

- - Defined in ui/Templates/TemplateCache.ts :102

  #### Returns object

  - ##### [templateName: string]: Template

### Static registerTemplate

- registerTemplate(name: string, template: any, publicTemplate?: boolean, defaultTemplate?: boolean, resultListTemplate?: boolean): void

- - Defined in ui/Templates/TemplateCache.ts :38

  #### Parameters

  - ##### name: string

  - ##### template: any

  - ##### Default value publicTemplate: boolean = true

  - ##### Default value defaultTemplate: boolean = false

  - ##### Default value resultListTemplate: boolean = false

  #### Returns void

### Static unregisterTemplate

- unregisterTemplate(name: any): void

- - Defined in ui/Templates/TemplateCache.ts :72

  #### Parameters

  - ##### name: any

  #### Returns void

### Hierarchy

- TemplateCache